"use strict"; 
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

// DataTables Demo
// =============================================================
var DataTablesDemo = /*#__PURE__*/function () {
  function DataTablesDemo() {
    _classCallCheck(this, DataTablesDemo); 
    this.init();
  } 
  _createClass(DataTablesDemo, [{
    key: "init",
    value: function init() {
      // event handlers
      this.table = this.table();
      this.searchRecords(); 
      this.table.buttons().container().appendTo('#dt-buttons').unwrap();
    }
  }, {
    key: "table",
    value: function table() {
      return $('#STAT_DE_VENTE').DataTable({
        dom: "<'text-muted'Bi>\n        <'table-responsive'tr>\n        <'pagination justify-content-center mt-4'p>",
        buttons: ['copyHtml5', {
          extend: 'print', 
         searching: true,
          autoPrint: true
        }, {
          extend: 'excelHtml5',
          text: 'Export to Excel'
        }],
        language: {
          paginate: {
            previous: '<i class="fa fa-lg fa-angle-left"></i>',
            next: '<i class="fa fa-lg fa-angle-right"></i>'
          }
        },
        autoWidth: true,
        width: "100%",
        ajax: 'assets/data/vente_sim.php',
        deferRender: true,
        order: [1, 'asc'],
        columns: [  
		{
          data: 'etat',
          className: 'align-middle text-center',
		  orderable: true,
          searchable: true
        }, {
          data: 'date_vente',
          className: 'align-middle text-center',
		  orderable: true,
          searchable: true
        }, {
          data: 'nom_ste',
          className: 'align-middle',
          orderable: true,
          searchable: true
        }, {  
          data: 'cin_client',
          className: 'align-middle text-center',
          orderable: true,
          searchable: true
        },  {
          data: 'nom_pernom',
          className: 'align-middle',
          orderable: true,
          searchable: true
        },  {
          data: 'num_sim',
          className: 'align-middle text-center',
          orderable: true,
          searchable: true
        }, {
          data: 'forfait',
          className: 'align-middle text-center',
          orderable: true,
          searchable: true
        }, {
          data: 'prix_vente',
          className: 'align-middle text-center',
          orderable: true,
          searchable: true
        }, {
          data: 'commercial',
          className: 'align-middle',
          orderable: true,
          searchable: true
        }, {
          data: 'etat_paie',
          className: 'align-middle text-center',
          orderable: true,
          searchable: true
        }  ],
        columnDefs: [  {
          targets: 0,
          render: function render(data, type, row, meta) {
			  if(row.etat=="activé")
			  return"<span class=\"record-icon green pulse mr-1\"></span>";
		      else
			  return"<span class=\"record-icon red pulse mr-1\"></span> ";
               
          }
        },{
          targets: 1,
          render: function render(data, type, row, meta) {
            return row.date_vente ;
          }
        }, {
          targets: 2,
          render: function render(data, type, row, meta) {
             return row.nom_ste ;
			 }
        }, { 
          targets: 3,
          render: function render(data, type, row, meta) {
            return row.cin_client ;
          }
        } , {
          targets: 4,
          render: function render(data, type, row, meta) {
            return row.nom_pernom ;
          }
        }, {
          targets: 5,
          render: function render(data, type, row, meta) {
            return row.num_sim ;
          }
        }, {
          targets: 6,
          render: function render(data, type, row, meta) {
            return row.forfait ;
          }
        }, {
          targets: 7,
          render: function render(data, type, row, meta) {
            return row.prix_vente ;
          }
        }, {
          targets: 8,
          render: function render(data, type, row, meta) {
            return row.commercial ;
          }
        },  {
          targets: 9,
          render: function render(data, type, row, meta) {
		  if(row.etat_paie=="Impayé")
			  return"<span class='badge badge-danger'>Impayé</span>";
		      else
			if(row.etat_paie=="Payé")
			  return"<span class='badge badge-success'>Payé</span>";
		      else	  
               return"<span class='badge badge-warning'>"+row.etat_paie+"</span>";
		}},  {
          targets: 10,
          render: function render(data, type, row, meta) {
            return "<a class=\"btn btn-sm btn-icon btn-secondary\" data-bs-toggle=\"modal\" data-bs-target=\"#MODAL_DELL\" onclick=\"edit_SIM('".concat(row.num_sim, "')\"><i class=\"fa fa-pencil-alt\"></i></a>\n          <a class=\"btn btn-sm btn-icon btn-secondary\"  onclick=\"DELL_SIM('").concat(row.num_sim,"')\"><i class=\"far fa-trash-alt\"></i></a>");
          }
        } ]
      });
    }
  }, {
key: "searchRecords",
value: function searchRecords() {
var self = this;
$('#table-search,#filterBy,#S2_personel').on('keyup change focus', function(e) {
var filterBy = $('#filterBy').val();
var hasFilter = filterBy !== '';
var searchValue = $('#table-search').val();
var personelValue = $('#S2_personel').val();
  // clear selected rows
  if ((searchValue.length || personelValue.length) && (e.type === 'keyup' || e.type === 'change')) {
    self.clearSelectedRows();
  }
  
  // reset search term
  self.table.search('').columns().search('').draw();
  
  if (hasFilter) {
    self.table.columns(filterBy).search(searchValue).draw();
  } else {
    self.table.search(searchValue).draw();
  }
  
  if (personelValue.length && (e.type === 'keyup' || e.type === 'change')) {
    self.table.columns(8).search('^' + personelValue + '$', true, false).draw();
  }
});
}
},  {
    key: "clearSelected",
    value: function clearSelected() {
      var self = this; // clear selected rows

      $('#STAT_DE_VENTE').on('page.dt', function () {
        self.clearSelectedRows();
      });
      $('#clear-search').on('click', function () {
        self.clearSelectedRows();
      });
    }
  }, {
    key: "clearSelectedRows",
    value: function clearSelectedRows() {
      $('#check-handle').prop('indeterminate', false).prop('checked', false).trigger('change');
    }
  }
  ]);

  return DataTablesDemo;
}(); 
 
$(document).on('theme:init', function () {
  new DataTablesDemo();

});
 
 $(document).ready(function () {
     function sumColumn(table) {
var paye=0;
var impayer=0;
var chez_comm=0;		 
var total = 0;
  table.rows({ search: 'applied' }).data().each(function(rowData) { 
  if (rowData["etat_paie"] === 'Payé') {
    paye += parseFloat(rowData["prix_vente"]);
  }else
	  if (rowData["etat_paie"] === 'Impayé') {
    impayer += parseFloat(rowData["prix_vente"]);
  }else
	 if (rowData["etat_paie"] === 'chez commercial') {
    chez_comm += parseFloat(rowData["prix_vente"]);
  } 
  total += parseFloat(rowData["prix_vente"]);
	  
});
   
  $('#paye').val(paye+" DT");
  $('#impaye').val(impayer+" DT");
  $('#chez_comm').val(chez_comm+" DT");
  $('#total').val(total+" DT");
}

var table = $('#STAT_DE_VENTE').DataTable();

table.on('draw.dt', function() {
  sumColumn(table);    
});
});

function modifier(){ 
const NUM_SIM =num_sim;
const prix_vente =document.getElementById('prix').value  
 var mon_ste=document.getElementById('nom_ste').value;
 var matricule=document.getElementById('matricul').value;
 var cin_client=document.getElementById('cin_client').value;
 var mon_client=document.getElementById('name_client').value;
 var dt_reg=document.getElementById('dt_reg').value;
 var adresse=document.getElementById('adresse').value;
 var email=document.getElementById('email').value;
 var gouv=document.getElementById('gouv').value;
 var cin_reco = document.getElementById('cin_reco').files[0]; 
 var cin_verso = document.getElementById('cin_verso').files[0]; 
 var contrat = document.getElementById('contrat').files[0]; 
 
 if((cin_client.trim()!="")&&(NUM_SIM!="")){
	 if(gouv!="-1"){
	 var xhttp = new XMLHttpRequest();
	     var formData = new FormData();
        formData.append("mon_ste", mon_ste); // Ajoute le fichier à l'objet FormData
        formData.append("matricule", matricule);
        formData.append("cin_client", cin_client);
        formData.append("mon_client", mon_client);
        formData.append("dt_reg", dt_reg);
        formData.append("adresse", adresse);
        formData.append("email", email);
        formData.append("gouv", gouv);		
        formData.append("NUM_SIM", NUM_SIM);
        formData.append("prix_vente", prix_vente); 
        formData.append("cin_reco", cin_reco);
        formData.append("cin_verso", cin_verso);
        formData.append("contrat", contrat); 
        xhttp.open("POST", "assets/data/Vente_update.php", true);
 
 	 
 xhttp.onreadystatechange = function() {  
     if (this.readyState == 4 && this.status == 200) {  
	 if(this.responseText.trim()==="success") {
               alert_success();  
 // Récupérer le numéro de la page actuelle
			var currentPage = $('#STAT_DE_VENTE').DataTable().page(); 
			// Recharger les données de la table avec Ajax
			$('#STAT_DE_VENTE').DataTable().ajax.reload(function() {
				// Après le rechargement des données, rétablir la page actuelle
				$('#STAT_DE_VENTE').DataTable().page(currentPage).draw(false);
			});			   
			 }  else
 alert_msg("Erreur lors de mise à jour des données :" ,"warning");
	} 
      }; 
  xhttp.send(formData); // Envoie les données avec la méthode send()
 }else
	 alert_msg("Séléctionner une gouvernerat","warning");  
 }else
	 alert_msg("Vérifier CIN client","warning");
 

 

} 
var num_sim;
function edit_SIM(num){
	num_sim=num;
	var SIM_NUMBER = document.getElementById("SIM_NUMBER"); 
		SIM_NUMBER.innerHTML = num ; 
	 event.preventDefault(); 
	fetch('assets/data/vente_json_info_sim.php?SIM='+num)
        .then(function(response) { 
          return response.json();
        })
        .then(function(data1) {  
		  document.getElementById('nom_ste').value = data1[0]['nom_ste'];
		  document.getElementById('matricul').value = data1[0]['matricule_f'];
          document.getElementById('cin_client').value = data1[0]['cin_client'];
          document.getElementById('name_client').value = data1[0]['nom_pernom'];
          document.getElementById('adresse').value = data1[0]['adresse'];
          document.getElementById('email').value = data1[0]['email'];
          document.getElementById('gouv').value = data1[0]['gouv'];
		  var currentDate = new Date();  
		  document.getElementById('dt_reg').value = currentDate.getFullYear()+"-"+(currentDate.getMonth() + 1).toString().padStart(2, '0')+"-"+data1[0]['date_reg'].toString().padStart(2, '0');
          document.getElementById('prix').value = data1[0]['prix_vente']; 
		   
		  var cin_recto = document.getElementById("previewcin_recto");
          cin_recto.setAttribute("src", "assets/data/files_clients/"+data1[0]['cin_recto']+"?v="+Date.now() ); 
			cin_recto.onerror = function() {
			  cin_recto.src = "assets/images/cin_recto.jpg";
			};
		  
        var cin_verso = document.getElementById("previewcin_verso");
          cin_verso.setAttribute("src", "assets/data/files_clients/"+data1[0]['cin_verso']+"?v="+Date.now() ); 
			cin_verso.onerror = function() {
			  cin_verso.src = "assets/images/cin_verso.jpg";
			};
         var contart = document.getElementById("previewcontart");
          contart.setAttribute("src", "assets/data/files_clients/"+data1[0]['contrat']+"?v="+Date.now() ); 
			contart.onerror = function() {
			  contart.src = "assets/images/contrat.jpg";
			};




	   })
        .catch(function(err) {
          console.log('Erreur: ' + err.message);
        });
	
} 
const inputFile = document.getElementById('cin_reco');
const previewImage = document.getElementById('previewcin_recto'); 
inputFile.addEventListener('change', function() {
  const file = this.files[0];
  const reader = new FileReader();
  reader.addEventListener('load', function() {
    previewImage.src = reader.result;
  });
  reader.readAsDataURL(file);
}); 
const inputFile1 = document.getElementById('cin_verso');
const previewImage1 = document.getElementById('previewcin_verso'); 
inputFile1.addEventListener('change', function() {
  const file1 = this.files[0];
  const reader = new FileReader();
  reader.addEventListener('load', function() {
    previewImage1.src = reader.result;
  });
  reader.readAsDataURL(file1);
});
const inputFile2 = document.getElementById('contrat');
const previewImage2 = document.getElementById('previewcontart'); 
inputFile2.addEventListener('change', function() {
  const file2 = this.files[0];
  const reader = new FileReader();
  reader.addEventListener('load', function() {
    previewImage2.src = reader.result;
  });
  reader.readAsDataURL(file2);
});

  function DELL_SIM(NUM){ 
  
  if (confirm("SIM Numéro:"+NUM+"\nÊtes-vous sûr de vouloir supprimer le vente de cette SIM ?")) {
    
 var xhttp = new XMLHttpRequest();
   xhttp.onreadystatechange = function() {  
     if (this.readyState == 4 && this.status == 200) {   
			 if(this.responseText.trim()==="success") {
               alert_success();
             // Récupérer le numéro de la page actuelle
			var currentPage = $('#STAT_DE_VENTE').DataTable().page(); 
			// Recharger les données de la table avec Ajax
			$('#STAT_DE_VENTE').DataTable().ajax.reload(function() {
				// Après le rechargement des données, rétablir la page actuelle
				$('#STAT_DE_VENTE').DataTable().page(currentPage).draw(false);
			});
		   // var modal = document.getElementById("exampleModal"); 
               // modal.style.display = "none";
			 }else
			  alert_msg("La Suppression a échoué","warning");
	}
	 
  };   
  xhttp.open("POST", "assets/data/Vente_supp.php", true);
  xhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
  xhttp.send("NUM=" + NUM );
	
     
  }  
  
  
}
  function afficherChampsSaisie() {
            var modeAjout = document.querySelector('input[name="modeAjout"]:checked').value; 
             if (modeAjout === "unParUn") {
                    $('#zoneDebutFin').addClass('d-none');
                    $('#zoneNumero').removeClass('d-none');
                } else if (modeAjout === "enLot") {
                    $('#zoneNumero').addClass('d-none');
                    $('#zoneDebutFin').removeClass('d-none');
                }
        }
		
function Ajouter(){
 var modeAjout = document.querySelector('input[name="modeAjout"]:checked').value; 
        var Num_sim_d;
		var Num_sim_f;
			    if (modeAjout === "unParUn") {
                   Num_sim_d = document.getElementById('Num_sim0').value;
                   Num_sim_f = document.getElementById('Num_sim0').value;
                } else if (modeAjout === "enLot") {
                   Num_sim_d = document.getElementById('Num_sim1').value;
                   Num_sim_f = document.getElementById('Num_sim2').value;
                }
// Récupérer l'ID de l'enregistrement et la nouvelle valeur à partir des éléments HTML
  var forfait = document.getElementById('myforfait').value;
  var dt_activ = document.getElementById('mydt_activ').value; 
if((Num_sim_d!="")&&(Num_sim_f!="")&&(forfait.trim()!="")){ 
    var xhttp = new XMLHttpRequest();
   xhttp.onreadystatechange = function() {  
     if (this.readyState == 4 && this.status == 200) { 
			 if(this.responseText.trim()==="success") {
               alert_success();
             // Récupérer le numéro de la page actuelle
			var currentPage = $('#STAT_DE_VENTE').DataTable().page(); 
			// Recharger les données de la table avec Ajax
			$('#STAT_DE_VENTE').DataTable().ajax.reload(function() {
				// Après le rechargement des données, rétablir la page actuelle
				$('#STAT_DE_VENTE').DataTable().page(currentPage).draw(false);
			});
		   // var modal = document.getElementById("exampleModal"); 
               // modal.style.display = "none";
			 }else
			  alert_msg("L'ajout a échoué","warning");
	}
	 
  };  
  xhttp.open("POST", "assets/data/ADD_STOCK.php", true);
  xhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
  xhttp.send("Num_sim_d=" + Num_sim_d + "&Num_sim_f=" + Num_sim_f+ "&forfait=" + forfait+ "&dt_activ=" + dt_activ);
  }else
	alert_msg("Choisir Numéro et forfait","warning"); 
 

} 
 $.getJSON('assets/data/personnel_select2.php', function(data) {
 
  $.each(data, function(index, value) {
    $('#S2_personel').append($('<option>', {
      value: value.Name,
      text: value.Name
    }));
  });   
    $('#S2_personel').on('select2:select', function(e) { 
        var value = $(e.currentTarget).val();
        SIM_CHEZ_REVENDEUR(value); 
    });   
});
